<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <h5>
                <span jhiTranslate="mpmApp.orders.home.title">Orders</span>
            </h5>
            <p-dataTable
                [value]="orders"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idOrder"
                expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)"
                (onEditComplete)="updateRowData($event)">
                <p-header>
                    <jhi-alert></jhi-alert>
                    <div class="col-md-1 offset-md-11">
                        <button pButton type="button"
                            icon="fa-plus"
                            class="ui-button-primary btn-sm"
                            [routerLink]="['../orders-new']">
                        </button>
                    </div>
                    <div>
                        <form name="searchForm" class="form-inline">
                            <div class="input-group w-100 mt-3">
                                <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                                    name="currentSearch" placeholder="{{ 'mpmApp.orders.home.search' | translate }}">
                                <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                                    <span class="fa fa-search"></span>
                                </button>
                                <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                                    <span class="fa fa-trash-o"></span>
                                </button>
                            </div>
                        </form>
                    </div>
                </p-header>
                <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
                <p-column header="{{'mpmApp.orders.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.orders.orderNumber'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.orderNumber}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.orders.dateEntry'|translate}}" [style]="{'width': '150px'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.dateEntry | date:'dd-MM-yyyy HH:mm:ss'}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.orders.dateOrder'|translate}}" [style]="{'width': '150px'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.dateOrder | date:'dd-MM-yyyy HH:mm:ss'}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.orders.orderType'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.orderTypeId">
                            <a [routerLink]="['../order-type', rowData.orderTypeId  ]" >{{rowData.orderTypeDescription}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.orders.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="submit"
                                [routerLink]="['../orders', rowData.idOrder]"
                                icon="fa-eye"
                                class="flat-button"
                                [style]="{'height':'50px'}">
                        </button>
                        <button pButton type="submit"
                                [routerLink]="['../orders/'+ rowData.idOrder + '/edit']"
                                icon="fa-pencil"
                                class="flat-button">
                        </button>
                        <button pButton type="submit"
                                (click)="delete(rowData.idOrder)"
                                icon="fa-remove"
                                class="flat-button">
                        </button>
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>